apiVersion: apps/v1
kind: Deployment
metadata:
  name: front-deployment
  labels:
    app: simpleapp
    tier: front
spec:
  replicas: 1
  selector:
    matchLabels:
      app: simpleapp
      tier: front
  template:
    metadata:
      labels:
        app: simpleapp
        tier: front
    spec:
      containers:
        - name: front
          image: eu.gcr.io/gke4gitlab/simpleapp
          imagePullPolicy: Always
          ports:
            - name: http
              containerPort: 80
              protocol: TCP
          livenessProbe:
            httpGet:
              path: /stats
              port: http
          readinessProbe:
            httpGet:
              path: /stats
              port: http
          env:
            - name: SERVICE_NOW
              value: $(SIMPLEAPP_NOW_SERVICE_HOST)
            - name: SERVICE_TIMEFMT
              value: $(SIMPLEAPP_TIMEFMT_SERVICE_HOST)
